<template>
  <div>
    <apexcharts
      type="bar"
      height="150"
      width="300"
      :options="chartOptions"
      :series="dataSeries"
    ></apexcharts>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

export default {
  components: {
    apexcharts: VueApexCharts,
  },
  props: {
    series: {
      type: Array,
      default: () => [],
    },
  },
  data: function () {
    return {
      dataSeries: [],
      chartOptions: {
        chart: {
          height: 350,
          type: "bar",
        },
        plotOptions: {
          bar: {
            horizontal: true,
          },
        },
        colors: ["#00E396"],
        legend: {
          show: false,
          showForSingleSeries: true,
          markers: {
            fillColors: ["#00E396", "#775DD0"],
          },
        },
      },
    };
  },
  watch: {
    series: {
      // the callback will be called immediately after the start of the observation
      immediate: true,
      handler(val) {
        console.log("Dentro de STACKED BAR");
        console.log(val);
        this.dataSeries = val;
      },
    },
  },
};
</script>

<style></style>
